org.eclipse.graphiti.pattern.mapping

## Class StructureMappingMulti

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
  - - org.eclipse.graphiti.pattern.mapping.StructureMapping
    - - org.eclipse.graphiti.pattern.mapping.StructureMappingMulti

All Implemented Interfaces:
  IStructureMapping, IStructureMappingMulti

Direct Known Subclasses:
  StructureMappingGrid

    public abstract class StructureMappingMulti
    extends StructureMapping
    implements IStructureMappingMulti

The Class StructureMappingMulti.

### Constructor Summary

Constructors
Constructor and Description
`StructureMappingMulti(IDataMapping dataMapping, IMappingProvider mappingProvider)` Creates a new `StructureMappingMulti`.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ILinkCreationInfo>` `getLinkCreationInfos(Object mainBusinessObject)` Returns the list of business object arrays.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.StructureMapping

`getDataMapping`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

### Constructor Detail

#### StructureMappingMulti

    public StructureMappingMulti(IDataMapping dataMapping,
                                 IMappingProvider mappingProvider)

Creates a new `StructureMappingMulti`.

Parameters:
  `dataMapping` - the data mapping
  `mappingProvider` - the mapping provider

### Method Detail

#### getLinkCreationInfos

    public List<ILinkCreationInfo> getLinkCreationInfos(Object mainBusinessObject)

Description copied from interface: `IStructureMappingMulti`
Returns the list of business object arrays. Each array of business objects will be linked with a pictogram element acting as placeholder in a pattern.

Specified by:
  `getLinkCreationInfos` in interface `IStructureMappingMulti`
Parameters:
  `mainBusinessObject` - this is the main business object of the current pattern
Returns:
  the list of business objects